## vo-aacenc 0.1.1

=== aacenc/SampleCode/eclair/Makefile ===
#/*
#** Copyright 2003-2010, VisualOn, Inc.
#**
#** Licensed under the Apache License, Version 2.0 (the "License");
#** you may not use this file except in compliance with the License.
#** You may obtain a copy of the License at
#**
#**     http://www.apache.org/licenses/LICENSE-2.0
#**
#** Unless required by applicable law or agreed to in writing, software
#** distributed under the License is distributed on an "AS IS" BASIS,
#** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#** See the License for the specific language governing permissions and
#** limitations under the License.
#*/

# target6
# available: pc, v4(armv4), v5(armv5), v5x(armv5 xscale), v6(armv6), v7(cortex-a8 neon)
VOTT:= v7


# module type
# please specify the type of your module: lib or exe
VOMT:= exe


# module macros
# please append the additional macro definitions here for your module if necessary.
# e.g. -DVISUALON, macro VISUALON defined for your module
VOMM:= #ARMV5E



# please specify the name of your module
VOTARGET:= voAACEncTestv7


# please modify here to be sure to see the g1.mk
include ../../../../Tools/eclair.mk

# dependent libraries.
VODEPLIBS:=-ldl

# module source
# please modify here to be sure to see the ms.mk which specifies all source info of your module
include ../ms.mk


# please specify where is the voRelease on your PC, relative path is suggested
VORELDIR:=../../../../../Release/


# please modify here to be sure to see the doit.mk
include ../../../../Tools/doit.mk

=== aacenc/build/eclair/ARMV5E/Makefile ===
#/*
#** Copyright 2003-2010, VisualOn, Inc.
#**
#** Licensed under the Apache License, Version 2.0 (the "License");
#** you may not use this file except in compliance with the License.
#** You may obtain a copy of the License at
#**
#**     http://www.apache.org/licenses/LICENSE-2.0
#**
#** Unless required by applicable law or agreed to in writing, software
#** distributed under the License is distributed on an "AS IS" BASIS,
#** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#** See the License for the specific language governing permissions and
#** limitations under the License.
#*/

# target6
# available: pc, v4(armv4), v5(armv5), v5x(armv5 xscale), v6(armv6), v7(cortex-a8 neon)
VOTT:= v5


# module type
# please specify the type of your module: lib or exe
VOMT:= lib


# module macros
# please append the additional macro definitions here for your module if necessary.
# e.g. -DVISUALON, macro VISUALON defined for your module
VOMM:= -DARMV5E -DARM_INASM -DARMV5_INASM



# please specify the name of your module
VOTARGET:=libvoAACEncv5


# please modify here to be sure to see the g1.mk
include ../../../../../Tools/eclair.mk

# dependent libraries.
VODEPLIBS:=#-ldl -lstdc++

# module source
# please modify here to be sure to see the ms.mk which specifies all source info of your module
include ../../ms.mk


# please specify where is the voRelease on your PC, relative path is suggested
VORELDIR:=../../../../../../Release


# please modify here to be sure to see the doit.mk
include ../../../../../Tools/doit.mk

=== aacenc/build/eclair/ARMV7/Makefile ===
#/*
#** Copyright 2003-2010, VisualOn, Inc.
#**
#** Licensed under the Apache License, Version 2.0 (the "License");
#** you may not use this file except in compliance with the License.
#** You may obtain a copy of the License at
#**
#**     http://www.apache.org/licenses/LICENSE-2.0
#**
#** Unless required by applicable law or agreed to in writing, software
#** distributed under the License is distributed on an "AS IS" BASIS,
#** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#** See the License for the specific language governing permissions and
#** limitations under the License.
#*/

# target6
# available: pc, v4(armv4), v5(armv5), v5x(armv5 xscale), v6(armv6), v7(cortex-a8 neon)
VOTT:= v7


# module type
# please specify the type of your module: lib or exe
VOMT:= lib


# module macros
# please append the additional macro definitions here for your module if necessary.
# e.g. -DVISUALON, macro VISUALON defined for your module
VOMM:= -DARMV5E -DARMV7Neon -DARM_INASM -DARMV5_INASM



# please specify the name of your module
VOTARGET:=libvoAACEncv7


# please modify here to be sure to see the g1.mk
include ../../../../../Tools/eclair.mk

# dependent libraries.
VODEPLIBS:=#-ldl -lstdc++

# module source
# please modify here to be sure to see the ms.mk which specifies all source info of your module
include ../../ms.mk


# please specify where is the voRelease on your PC, relative path is suggested
VORELDIR:=../../../../../../Release


# please modify here to be sure to see the doit.mk
include ../../../../../Tools/doit.mk

=== debian/changelog ===
vo-aacenc (0.1.1-2) unstable; urgency=low

  * Build with Multiarch.
  * Add --parallel to DH sequencer's options.
  * Fix small syntax error in debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Feb 2012 18:36:33 +0100

vo-aacenc (0.1.1-1) unstable; urgency=low

  * Imported upstream 0.1.1 final release.
  * Add symbols file.
  * Add watch file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 16:04:28 +0200

vo-aacenc (0.1.0~rc1-1) unstable; urgency=low

  * Initial release (Closes: 619885)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Mar 2011 16:49:56 +0200

=== debian/control ===
Source: vo-aacenc
Section: libs
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://opencore-amr.git.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/vo-aacenc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vo-aacenc.git;a=summary

Package: libvo-aacenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libvo-aacenc0 (= ${binary:Version}),
 ${misc:Depends}
Description: VisualOn AAC encoder library (development files)
 This library contains an encoder implementation of the Advanced Audio
 Coding (AAC) audio codec. The library is based on a codec implementation
 by VisualOn, part of the Stagefright framework from the Google
 Android project.
 .
 This package contains development files.

Package: libvo-aacenc0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: VisualOn AAC encoder library
 This library contains an encoder implementation of the Advanced Audio
 Coding (AAC) audio codec. The library is based on a codec implementation
 by VisualOn, part of the Stagefright framework from the Google
 Android project.

Package: vo-aacenc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 libvo-aacenc0 (= ${binary:Version}),
 ${misc:Depends}
Description: VisualOn AAC encoder library (debugging symbols)
 This library contains an encoder implementation of the Advanced Audio
 Coding (AAC) audio codec. The library is based on a codec implementation
 by VisualOn, part of the Stagefright framework from the Google
 Android project.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifeq      ($(DEB_HOST_ARCH),i386)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
else ifeq ($(DEB_HOST_ARCH),amd64)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
endif
endif


%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_strip:
	dh_strip --dbg-package=vo-aacenc-dbg

## vo-aacenc 0.1.2

=== debian/changelog ===
vo-aacenc (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders field.
  * Bump to Standards-Version 3.9.3.
  * Remove symbols files.
  * Include static library in dev package.
  * Show compiler flags during build.
  * Make dpkg-source options default for packaging.
  * Add lintian override for package-needs-versioned-debhelper-build-depends.
  * Change Priority of packages.

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 13:23:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: vo-aacenc
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Andres Mejia <amejia@debian.org>
 Build-Depends:
  debhelper (>= 8.1.3~),
  dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://opencore-amr.git.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/vo-aacenc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vo-aacenc.git;a=summary
@@ -43,6 +44,7 @@
 
 Package: vo-aacenc-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
version=3
http://sf.net/opencore-amr/vo-aacenc-(.*)\.tar\.gz

## vo-aacenc 0.1.3

=== debian/changelog ===
vo-aacenc (0.1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat to 12
  * debian/copyright: Simplify
  * debian/rules: Install NOTICE
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Drop Andres Mejia from Uploaders (Closes: #743550)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Nov 2019 21:11:25 +0100

vo-aacenc (0.1.3-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Remove myself from Uploaders field.
  * Fix VCS urls.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 11:51:07 +0100

=== debian/control ===
Source: vo-aacenc
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Build-Depends:
 debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: http://opencore-amr.git.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/vo-aacenc.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vo-aacenc
Rules-Requires-Root: no

Package: libvo-aacenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libvo-aacenc0 (= ${binary:Version}),
 ${misc:Depends}
Description: VisualOn AAC encoder library (development files)
 This library contains an encoder implementation of the Advanced Audio
 Coding (AAC) audio codec. The library is based on a codec implementation
 by VisualOn, part of the Stagefright framework from the Google
 Android project.
 .
 This package contains development files.

Package: libvo-aacenc0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: VisualOn AAC encoder library
 This library contains an encoder implementation of the Advanced Audio
 Coding (AAC) audio codec. The library is based on a codec implementation
 by VisualOn, part of the Stagefright framework from the Google
 Android project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	cp NOTICE debian/libvo-aacenc0/usr/share/doc/libvo-aacenc0

=== debian/watch ===
version=3
https://sf.net/opencore-amr/vo-aacenc-(.*)\.tar\.gz

## vo-aacenc 0.1.3.1

=== debian/changelog ===
vo-aacenc (0.1.3.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 216a76bff7cdc11a6e7538304bec46c4bd96734c']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:04:09 +0000
